(function( $ ) {
    'use strict';
    var CCPA = {
        ccpaOptedOut: false, 
        ccpaOptOutConfirmationOpen: false,
        set: function() {
           this.setCheckboxState();
            jQuery(document).on('click','.wt-ecc-ccpa-opt-out-checkbox',function() {
                CCPA.ccpaOptedOut = false;
                if(this.checked === true ) {
                    CCPA.ccpaOptedOut = true;
                }
                CCPA.optOutCcpa();
            });
            jQuery(document).on('click','.wt-ecc-ccpa-opt-out:not(.wt-ecc-ccpa-opt-out-checkbox)',function(){
                CCPA.showCcpaOptOutConfirmBox();
            })
        },
        setCheckboxState : function() {
            var eccConsent = {};
            var preferenceCookie = ECC_Cookie.read(ECC_PREFERNCE_COOKIE);
            if( preferenceCookie !== null ) { 
                eccConsent = CCPA.parseCookie(preferenceCookie);
                if( typeof( eccConsent.ccpaOptout ) !== 'undefined') {
                    
                    if( eccConsent.ccpaOptout === true ) {
                        jQuery('.wt-ecc-ccpa-opt-out-checkbox').prop('checked',true);
                    }
                    else {
                        jQuery('.wt-ecc-ccpa-opt-out-checkbox').prop('checked',false);
                    }
                }
                
            }
        },
        optOutCcpa: function() { 
            var preferenceCookie = ECC_Cookie.read(ECC_PREFERNCE_COOKIE);
            var eccConsent = {};
            if( preferenceCookie !== null ) {
                eccConsent = CCPA.parseCookie(preferenceCookie);
            }
            eccConsent.ccpaOptout = this.ccpaOptedOut;
            eccConsent = JSON.stringify(eccConsent);
            eccConsent = window.btoa(eccConsent);
            ECC_Cookie.set(ECC_PREFERNCE_COOKIE,eccConsent,ECC_ACCEPT_COOKIE_EXPIRE);
            this.setCheckboxState();
        },
        parseCookie: function( preferenceCookie ) {
            var eccConsent = {};
            eccConsent = window.atob(preferenceCookie);
            eccConsent = JSON.parse(eccConsent);
            return eccConsent;
        },
        toggleCCPA: function() {
            
        },
        checkAuthentication: function() {
            
        },
        showCcpaOptOutConfirmBox: function() {
            
            var css = '.ecc-alert-dialog-buttons button {\
                -webkit-box-flex: 1!important;\
                -ms-flex: 1!important;\
                flex: 1!important;\
                -webkit-appearance: none!important;\
                -moz-appearance: none!important;\
                appearance: none!important;\
                margin: 4px!important;\
                padding: 8px 16px!important;\
                border-radius: 64px!important;\
                cursor: pointer!important;\
                font-weight: 700!important;\
                font-size: 12px !important;\
                color: #fff;\
                text-align: center!important;\
                text-transform: capitalize;\
                border: 2px solid #2271b1;\
            } #cLiCcpaOptoutPrompt .ecc-modal-dialog{\
                max-width: 320px;\
            }\
            #cLiCcpaOptoutPrompt .ecc-modal-content {\
                box-shadow: 0 19px 38px rgba(0,0,0,0.30), 0 15px 12px rgba(0,0,0,0.22);\
            -webkit-box-shadow:0 19px 38px rgba(0,0,0,0.30), 0 15px 12px rgba(0,0,0,0.22);\
            -moz-box-shadow0 19px 38px rgba(0,0,0,0.30), 0 15px 12px rgba(0,0,0,0.22);\
            }\
            .ecc-alert-dialog-content {\
                font-size: 14px;\
            }\
            .ecc-alert-dialog-buttons {\
                padding-top:5px;\
            }\
            button.ecc-ccpa-button-cancel {\
                background: transparent !important;\
                color: #000;\
            }\
            button.ecc-ccpa-button-confirm {\
                background-color:#2271b1;\
                color:#ffffff;\
            }';
            var head = document.head || document.getElementsByTagName('head')[0];
            var style = document.createElement('style');
            var primaryColor = ECC.settings.button_1_button_colour;
            var primaryLinkColor = ECC.settings.button_1_link_colour;
            var backgroundColor = ECC.settings.background;
            var textColor = ECC.settings.text;
            CCPA.ccpaOptOutConfirmationOpen = false;
            var ccpaPrompt,
            $this = this;
            (ccpaPrompt = document.createElement("div")).classList.add("ecc-modal", "ecc-show", "ecc-blowup");
            ccpaPrompt.id = "cLiCcpaOptoutPrompt";
            var t = document.createElement("div");
            t.className = "ecc-modal-dialog";
            var n=document.createElement("div");
            n.classList.add("ecc-modal-content","ecc-bar-popup");
            var o = document.createElement("div");
            o.className="ecc-modal-body";
            var p = document.createElement("div");
            p.classList.add("wt-ecc-element", "ecc-container-fluid", "ecc-tab-container");
            var q = document.createElement("div");
            q.className="ecc-row";
            var r = document.createElement("div");
            r.classList.add("ecc-col-12");
            var x = document.createElement("div");
            x.classList.add("ecc-modal-backdrop", "ecc-fade", "ecc-settings-overlay", "ecc-show");
            var a = document.createElement("button");
            var b = document.createElement("button");
            var c = document.createElement("div");
            var d = document.createElement("div");
            d.className = "ecc-alert-dialog-content",
            d.innerText = ccpa_data.opt_out_prompt,
            c.className = "ecc-alert-dialog-buttons";
            a.className = "ecc-ccpa-button-confirm",
            a.innerText = ccpa_data.opt_out_confirm,
            a.addEventListener("click",
            function() {
                CCPA.ccpaOptedOut = true,
                CCPA.optOutCcpa(),
                document.body.removeChild(ccpaPrompt),
                document.body.removeChild(x),
                document.body.classList.remove("ecc-modal-open");
                head.removeChild(style);
                if( Cli_Data.ccpaType === 'ccpa' ){
                    ECC.enableAllCookies();
				    ECC.accept_close();
                }
            }
            ),
            b.className="ecc-ccpa-button-cancel",
            b.innerText = ccpa_data.opt_out_cancel,
            b.addEventListener("click",
            function() {
                CCPA.ccpaOptedOut = false,
                CCPA.optOutCcpa(),
                document.body.removeChild(ccpaPrompt),
                document.body.removeChild(x),
                document.body.classList.remove("ecc-modal-open");
                head.removeChild(style);
                if( Cli_Data.ccpaType === 'ccpa' ){
                    ECC.enableAllCookies();
				    ECC.accept_close();
                }
            }
            ),
            ccpaPrompt.addEventListener("click",
            function( event ) {
                event.stopPropagation();
                if ( ccpaPrompt !== event.target) return;
                document.body.removeChild(ccpaPrompt),
                document.body.removeChild(x),
                document.body.classList.remove("ecc-modal-open");
                head.removeChild(style);
                
            }),
            ccpaPrompt.appendChild(t),
            t.appendChild(n),
            n.appendChild(o),
            o.appendChild(p),
            p.appendChild(q),
            q.appendChild(r),
            r.appendChild(d),
            r.appendChild(c),
            c.appendChild(b),
            c.appendChild(a),
           
            head.appendChild(style);
            style.type = 'text/css';
            if (style.styleSheet){
                // This is required for IE8 and below.
                style.styleSheet.cssText = css;
            } else {
                style.appendChild(document.createTextNode(css));
            }
            document.body.appendChild(ccpaPrompt);
            document.body.appendChild(x);
            document.body.classList.add("ecc-modal-open");

        },
    }
    jQuery(document).ready(function() {
        CCPA.set();
    });
    
})( jQuery );
