<?php
if (!defined('ABSPATH')) {
    exit;
}
ob_start();
?>
<h3><?php _e('CCPA Settings', 'evdpl-cookie-consent'); ?><span class="wt-ecc-tootip" data-wt-ecc-tooltip="<?php _e('The right to opt out in the California Consumer Privacy Act gives consumers the ability to direct a business not to sell their personal information to a third party. If the user considers to not sell their personal information, all the scripts related to the categories which are configured to sell personal information will be blocked. The DO NOT SELL option is facilitated via a shortcode [wt_ecc_ccpa_optout].', 'evdpl-cookie-consent'); ?>"><span class="wt-ecc-tootip-icon"></span></span></h3>
<table class="form-table">
    <tr valign="top">
        <th scope="row"><label for="ccpa_enabled_field"><?php _e('Enable CCPA ?', 'evdpl-cookie-consent'); ?></label></th>
        <td>
            <input type="hidden" name="ccpa_enabled_field" value="false" id="ccpa_enabled_no">
            <input name="ccpa_enabled_field" type="checkbox" value="true" id="ccpa_enabled_yes" <?php checked(Evdpl_Cookie_Consent::ecc_sanitise_settings('ccpa_enabled', $cookie_options['ccpa_enabled']), true); ?>>
        </td>
    </tr>

    <tr valign="top">
        <th scope="row"><label for="ccpa_enable_bar_field"><?php _e('Show CCPA notice', 'evdpl-cookie-consent'); ?></label><span class="wt-ecc-tootip" data-wt-ecc-tooltip="<?php _e('Displays CCPA notice on the consent bar of your site and records prior consent from the user.', 'evdpl-cookie-consent'); ?>"><span class="wt-ecc-tootip-icon"></span></span></th>
        <td>
            <input type="hidden" name="ccpa_enable_bar_field" value="false" id="ccpa_enable_bar_no">
            <input name="ccpa_enable_bar_field" type="checkbox" value="true" id="ccpa_enable_bar_yes" <?php checked(Evdpl_Cookie_Consent::ecc_sanitise_settings('ccpa_enable_bar', $cookie_options['ccpa_enable_bar']), true); ?>>
        </td>
    </tr>
</table>
<!-- EVDPL GDPR CCPA Styles -->
<style>
    .evdpl-cookie-consent-tab-content[data-id=evdpl-cookie-consent-ccpa] th {
        width: 400px;
    }
</style>
<?php
$ccpa_settings = ob_get_contents();
ob_end_clean();
?>