(function ($) {
    //'use strict';
    $(function () {

        var ECC_pg =
                {
                    ecc_pg_lefth_tmr: null,
                    ecc_pg_editormode_tmr: null,
                    active_elm: null,
                    autosave_interval: 10000,
                    onPrg: false,
                    Set: function ()
                    {
                        this.leftBoxHeight();
                        this.tabView();
                        this.regAddNew();
                        this.regAutoSaveForPreview();
                        setTimeout(function () {
                            ECC_pg.editOnChange();
                        }, 1000);
                        this.regSaveData();
                        this.refreshCurrentPolicyPageId();
                    },
                    refreshCurrentPolicyPageId: function ()
                    {
                        var data = {
                            action: 'ecc_policy_generator',
                            security: ecc_policy_generator.nonces.ecc_policy_generator,
                            ecc_policy_generator_action: 'ecc_get_policy_pageid',
                        };
                        $.ajax({
                            url: ecc_policy_generator.ajax_url,
                            data: data,
                            //datatype:'json',
                            type: 'POST',
                            success: function (data)
                            {
                                data = JSON.parse(data);
                                if (data.response === true)
                                {
                                    $('[name="ecc_pg_policy_pageid"]').val(data.page_id);
                                    if (data.page_id == 0) {
                                        $('[name="ecc_pg_save_currentpage"]').hide();
                                    } else
                                    {
                                        $('[name="ecc_pg_save_currentpage"]').show();
                                    }
                                }
                            },
                            error: function ()
                            {

                            }
                        });
                    },
                    genContentData: function ()
                    {
                        var content_data = {};
                        var v = 0;
                        $('.ecc_pg_left .ecc_pg_left_menu').each(function () {
                            var elm = $(this);
                            if (elm.find('[name="ecc_pg_enabled_block_checkbox"]').is(':checked'))
                            {
                                var temp = {
                                    'ord': v,
                                    'hd': elm.find('.ecc_pg_content_hd').text(),
                                    'content': elm.find('.ecc_pg_content_hid').html()
                                };
                                content_data[v] = temp;
                                v++;
                            }
                        });
                        return content_data;
                    },
                    regSaveData: function ()
                    {
                        $('[name="ecc_pg_save_newpage"], [name="ecc_pg_save_currentpage"]').on('click', function () {
                            if (ECC_pg.onPrg)
                            {
                                return false;
                            }
                            var pg_id = $(this).attr('name') == 'ecc_pg_save_currentpage' ? $('[name="ecc_pg_policy_pageid"]').val() : 0;
                            var content_data = ECC_pg.genContentData();
                            var data = {
                                action: 'ecc_policy_generator',
                                security: ecc_policy_generator.nonces.ecc_policy_generator,
                                ecc_policy_generator_action: 'ecc_save_contentdata',
                                content_data: content_data,
                                page_id: pg_id,
                                enable_evince_powered_by: ($('[name="enable_evince_powered_by"]').is(':checked') ? 1 : 0)
                            };
                            $('.ecc_pg_footer a').css({'opacity': .5, 'cursor': 'default'});
                            ECC_pg.onPrg = true;
                            $.ajax({
                                url: ecc_policy_generator.ajax_url,
                                data: data,
                                //datatype:'json',
                                type: 'POST',
                                success: function (data)
                                {
                                    data = JSON.parse(data);
                                    ECC_pg.onPrg = false;
                                    $('.ecc_pg_footer a').css({'opacity': 1, 'cursor': 'pointer'});
                                    if (data.response === true)
                                    {
                                        ecc_notify_msg.success(ecc_policy_generator.labels.success);
                                        var edit_page_url = $("<textarea></textarea>").html(data.url).text();
                                        window.location.href = edit_page_url;
                                    } else
                                    {
                                        ecc_notify_msg.error(ecc_policy_generator.labels.error);
                                    }
                                },
                                error: function ()
                                {
                                    ECC_pg.onPrg = false;
                                    $('.ecc_pg_footer a').css({'opacity': 1, 'cursor': 'pointer'});
                                    ecc_notify_msg.error(ecc_policy_generator.labels.error);
                                }
                            });
                        });
                    },
                    regAutoSaveForPreview: function ()
                    {
                        $('[name="ecc_pg_live_preview"]').on('click', function (event) {
                            event.preventDefault();
                            if (ECC_pg.onPrg)
                            {
                                return false;
                            }
                            var content_data = ECC_pg.genContentData();
                            var preview_page_url = $(this).attr('href');
                            var data = {
                                action: 'ecc_policy_generator',
                                security: ecc_policy_generator.nonces.ecc_policy_generator,
                                ecc_policy_generator_action: 'ecc_autosave_contant_data',
                                content_data: content_data,
                                page_id: ecc_policy_generator.page_id,
                                enable_evince_powered_by: ($('[name="enable_evince_powered_by"]').is(':checked') ? 1 : 0)
                            };
                            $.ajax({
                                url: ecc_policy_generator.ajax_url,
                                data: data,
                                datatype: 'json',
                                type: 'POST',
                                success: function (data)
                                {
                                    data = JSON.parse(data);
                                    ECC_pg.onPrg = false;
                                    if (data.response === true)
                                    {
                                        window.location.href = preview_page_url;
                                    } else
                                    {
                                        ecc_notify_msg.error(ecc_policy_generator.labels.error);
                                    }
                                },
                                error: function ()
                                {
                                    ECC_pg.onPrg = false;
                                    $('.ecc_pg_footer a').css({'opacity': 1, 'cursor': 'pointer'});
                                    ecc_notify_msg.error(ecc_policy_generator.labels.error);
                                }
                            });
                        });
                    },
                    editOnChange: function ()
                    {
                        $('[name="ecc_pg_hd_field"]').keyup(function () {
                            ECC_pg.active_elm.find('.ecc_pg_content_hd').html($(this).val());
                        });
                        $('#ecc_pg_content').change(function () {
                            ECC_pg.active_elm.find('.ecc_pg_content_hid').html($(this).val());
                        });
                        this.ecc_pg_editormode_tmr = setInterval(function () {
                            var act_ed = tinymce.activeEditor;
                            if (act_ed !== null)
                            {
                                clearInterval(ECC_pg.ecc_pg_editormode_tmr);
                                act_ed.on('keyup', function () {
                                    var act_ed_content = act_ed.getContent();
                                    ECC_pg.active_elm.find('.ecc_pg_content_hid').html(act_ed_content);
                                });
                            }
                        }, 1000);
                    },
                    regAddNew: function ()
                    {
                        $('.ecc_pg_addnew_hd_btn').click(function () {
                            $('.ecc_pg_samplehid_block .ecc_pg_left_menu').clone().insertBefore($(this));
                        });
                    },
                    tabView: function ()
                    {
                        $(document).on('click', '.ecc_pg_left .ecc_pg_left_menu', function (e) {
                            e.stopPropagation();
                            ECC_pg.active_elm = $(this);

                            /* active menu */
                            $('.ecc_pg_left_menu').css({'background': '#f3f3f3'}).removeClass('ecc_pg_menu_active');
                            $(this).css({'background': '#fff'}).addClass('ecc_pg_menu_active');

                            /* heading */
                            var hd = $(this).find('.ecc_pg_content_hd').text();
                            $('[name="ecc_pg_hd_field"]').val(hd);

                            /* description */
                            var html = $(this).find('.ecc_pg_content_hid').html();
                            var editor_id = 'ecc_pg_content';
                            if ($('#wp-' + editor_id + '-wrap').hasClass('html-active'))
                            {
                                $('#' + editor_id + '').val(html);
                            } else
                            {
                                var activeEditor = tinyMCE.get(editor_id);
                                if (activeEditor !== null)
                                {
                                    $('#' + editor_id + '').val(html);
                                    activeEditor.setContent(html);
                                }
                            }
                        });
                        $(document).on('click', '.ecc_pg_content_delete', function (e) {
                            e.stopPropagation();
                            var elm = $(this).parents('.ecc_pg_left_menu');
                            if (elm.hasClass('ecc_pg_menu_active'))
                            {
                                elm.remove();
                                $('.ecc_pg_left .ecc_pg_left_menu:eq(0)').click();
                            } else
                            {
                                elm.remove();
                            }
                        });
                        setTimeout(function () {
                            $('.ecc_pg_left .ecc_pg_left_menu:eq(0)').click();
                        }, 1000);
                    },
                    leftBoxHeight: function ()
                    {
                        clearTimeout(ECC_pg.ecc_pg_lefth_tmr);
                        $(window).resize(function () {
                            ECC_pg.ecc_pg_lefth_tmr = setTimeout(function ()
                            {
                                $('.ecc_pg_left').css({'min-height': $('.ecc_pg_right').outerHeight()});
                            }, 500);
                        });
                        setTimeout(function ()
                        {
                            $('.ecc_pg_left').css({'min-height': $('.ecc_pg_right').outerHeight()});
                        }, 300);
                    }
                }
        ECC_pg.Set();

    });
})(jQuery);