<?php
if (!defined('ABSPATH')) {
    exit;
}
?>
<style type="text/css">
    .ecc_pg_main{
        float:left;
        width:100%;
        height:auto;
        min-height:600px;
        background:#fff;
        box-shadow:0px 2px 2px #ccc;
        border:solid 1px #ddd;
        margin-top:15px;
    }
    .ecc_pg_main *{
        box-sizing:border-box;
    }
    .ecc_pg_left{
        float:left;
        width:25%;
        height:100%;
        background:#f3f3f3;
        border-right:solid 1px #cccccc;
    }
    .ecc_pg_left_menu{
        float:left;
        width:100%;
        padding:10px;
        border-top:solid 1px #fff;
        border-bottom:solid 1px #ccc;
        cursor:pointer;
    }
    .ecc_pg_addnew_hd_btn{
        background:#fff !important;
        margin-top:5px !important;
        margin-right:5px !important;
        float:right;
    }
    .ecc_pg_right{
        float:left;
        width:75%;
        padding:15px;
        min-height:540px;
        overflow:auto;
        font-size:12px;
        border-bottom:solid 1px #cccccc;
    }
    .ecc_pg_formrow{
        float:left;
        width:100%;
        height:auto;
    }
    .ecc_pg_formrow label{
        float:left;
        width:100%;
        height:auto;
        font-weight:bold;
        font-size:14px;
        margin-top:20px;
    }
    .ecc_pg_formrow .ecc_pg_txt_field{
        float:left;
        width:100%;
        border:1px solid #ced4da;
        border-radius:0.25rem;
        padding:0.375rem 0.75rem;
        font-size:1rem;
        line-height:1.5;
        margin-top:10px;
    }
    .ecc_pg_footer{
        float:left;
        width:100%;
        background-color:#f3f3f3;
        min-height:60px;
        margin-top:0px;
        padding-bottom:10px;
    }
    .ecc_pg_main_buttons{
        height:28px;
        float:right;
        margin-right:15px !important;
        margin-top:15px !important;
    }
    .ecc_pg_content_hid, .ecc_pg_samplehid_block{
        display:none;
    }
</style>
<div class="wrap">
    <h1><?php _e('Policy generator', 'evdpl-cookie-consent'); ?></h1>
    <div class="ecc_pg_samplehid_block">
        <div class="ecc_pg_left_menu">
            <input type="checkbox" name="ecc_pg_enabled_block_checkbox" checked="checked">
            <span class="ecc_pg_content_hd"><?php _e('Sample heading', 'evdpl-cookie-consent'); ?></span>
            <div class="ecc_pg_content_hid"><?php _e('Sample content', 'evdpl-cookie-consent'); ?></div>
            <span class="dashicons dashicons-trash ecc_pg_content_delete" style="float:right;" title="<?php _e('Delete', 'evdpl-cookie-consent'); ?>"></span>
        </div>
    </div>
    <div class="ecc_pg_main">
        <div class="ecc_pg_left">
            <?php
            if (isset($default_data)) {
                foreach ($default_data as $data) {
                    ?>
                    <div class="ecc_pg_left_menu">
                        <input type="checkbox" name="ecc_pg_enabled_block_checkbox" checked="checked">
                        <span class="ecc_pg_content_hd"><?php echo esc_attr($data['head']); ?></span>
                        <div class="ecc_pg_content_hid"><?php echo wp_kses_post($data['body']); ?></div>
                    </div>
                    <?php
                }
            }
            ?>
            <button class="ecc_pg_addnew_hd_btn button-secondary">
                <span class="dashicons dashicons-plus" style="line-height:28px;"></span>
                <?php _e('Add new', 'evdpl-cookie-consent'); ?></button>
        </div>	
        <div class="ecc_pg_right">
            <div class="ecc_pg_formrow">
                <label><?php _e('Heading', 'evdpl-cookie-consent'); ?></label>
                <input type="text" class="ecc_pg_txt_field" name="ecc_pg_hd_field">
            </div>
            <div class="ecc_pg_formrow">
                <label><?php _e('Description', 'evdpl-cookie-consent'); ?></label>				
                <?php
                wp_editor('', 'ecc_pg_content', array('textarea_name' => 'ecc_pg_content', 'editor_class' => 'ecc_pg_txt_field', 'editor_height' => 250));
                ?>
            </div>
        </div>
        <div class="ecc_pg_footer">
            <div style="float:right; width:75%;">
                <?php
                $policy_pageid = $this->ecc_get_cookie_policy_pageid();
                $update_exists_page_visibility = 'display:none;';
                if ($policy_pageid) {
                    $policy_page_status = get_post_status($policy_pageid);
                    if ($policy_page_status && $policy_page_status != 'trash') {
                        $update_exists_page_visibility = '';
                    }
                }
                ?>

                <a name="ecc_pg_save_currentpage" style="<?php echo esc_attr($update_exists_page_visibility); ?>" class="button-primary ecc_pg_main_buttons">
                    <span class="dashicons dashicons-yes" style="line-height: 28px;"></span>
                    <?php _e('Update existing Cookie Policy page', 'evdpl-cookie-consent'); ?>
                </a>

                <input type="hidden" name="ecc_pg_policy_pageid" value="<?php echo $policy_pageid ? esc_attr($policy_pageid) : 0 ?>">
                <a name="ecc_pg_save_newpage" class="button-primary ecc_pg_main_buttons">
                    <span class="dashicons dashicons-welcome-add-page" style="line-height: 28px;"></span>
                    <?php _e('Create Cookie Policy page', 'evdpl-cookie-consent'); ?>
                </a>
                <a name="ecc_pg_live_preview" class="button-secondary ecc_pg_main_buttons" href="<?php echo esc_url($preview_url); ?>" target="_blank">
                    <span class="dashicons dashicons-external" style="line-height: 28px;"></span>
                    <?php _e('Live preview', 'evdpl-cookie-consent'); ?>
                </a>
            </div>		
        </div>	
    </div>
</div>