<?php
// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}
?>
<style>
    .vvv_textbox {
        height: 150px;
        width: 100%;
    }
    .notice, div.updated, div.error{
        margin: 5px 20px 15px 0;
    }
</style>
<script type="text/javascript">
    var ecc_success_message = '<?php echo __('Settings updated.', 'evdpl-cookie-consent'); ?>';
    var ecc_error_message = '<?php echo __('Unable to update Settings.', 'evdpl-cookie-consent'); ?>';
</script>
<div class="wrap">
    <div class="evdpl-cookie-consent-form-container">
        <div class="ecc-plugin-toolbar top">
            <h3><?php echo __('Non-necessary Cookie Settings', 'evdpl-cookie-consent'); ?></h3>
        </div>
        <form method="post" action="<?php echo esc_url($_SERVER["REQUEST_URI"]); ?>" id="ecc_non-ncessary_form" class="cookie-sensitivity-form">
            <?php wp_nonce_field('evdplcookieinfo-update-thirdparty'); ?>
            <table class="form-table ecc_non_necessary_form ecc-admin-table">

                <tr>
                    <td>
                        <label for="thirdparty_on_field"><?php echo __('Enable Non-necessary Cookie', 'evdpl-cookie-consent'); ?></label>
                        <input type="radio" id="thirdparty_on_field_yes" name="thirdparty_on_field" class="styled" value="true" <?php echo (filter_var($settings['status'], FILTER_VALIDATE_BOOLEAN) == true) ? ' checked="checked" ' : ' '; ?> /><?php echo __('Yes', 'evdpl-cookie-consent'); ?>
                        <input type="radio" id="thirdparty_on_field_no" name="thirdparty_on_field" class="styled" value="false" <?php echo (filter_var($settings['status'], FILTER_VALIDATE_BOOLEAN) == false) ? ' checked="checked" ' : ''; ?> /><?php echo __('No', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="third_party_default_state"><?php echo __('Default state', 'evdpl-cookie-consent'); ?></label>
                        <input type="radio" id="third_party_default_state_yes" name="third_party_default_state" class="styled" value="true" <?php echo (filter_var($settings['default_state'], FILTER_VALIDATE_BOOLEAN) == true) ? ' checked="checked" ' : ' '; ?> /><?php echo __('Enabled', 'evdpl-cookie-consent'); ?>
                        <input type="radio" id="third_party_default_state_no" name="third_party_default_state" class="styled" value="false" <?php echo (filter_var($settings['default_state'], FILTER_VALIDATE_BOOLEAN) == false) ? ' checked="checked" ' : ''; ?> /><?php echo __('Disabled', 'evdpl-cookie-consent'); ?>
                        <span class="ecc_form_help">
                            <?php echo __('If you enable this option, the category toggle button will be in the active state for cookie consent.', 'evdpl-cookie-consent'); ?> <br />
                        </span>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="wt_ecc_non_necessary_title"><?php _e('Title', 'evdpl-cookie-consent'); ?></label>
                        <input type="text" id="wt_ecc_non_necessary_title" name="wt_ecc_non_necessary_title" value="<?php echo esc_attr(stripslashes($settings['title'])); ?>" class="ecc-textbox" />
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="thirdparty_description"><?php echo __('Description', 'evdpl-cookie-consent'); ?></label>
                        <textarea name="thirdparty_description" class="vvv_textbox"><?php
                            echo apply_filters('format_to_edit', wp_kses_post(stripslashes($settings['description'])));
                            ?></textarea>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="thirdparty_head_section"><?php echo __('This script will be added to the page HEAD section if the above settings is enabled and user has give consent.', 'evdpl-cookie-consent'); ?></label>
                        <textarea name="thirdparty_head_section" class="vvv_textbox"><?php
                            echo apply_filters('format_to_edit', wp_kses_post(stripslashes($settings['head_scripts'])));
                            ?></textarea>
                        <span class="ecc_form_help">
                            <?php echo __('Print scripts in the head tag on the front end if above cookie settings is enabled and user has given consent.', 'evdpl-cookie-consent'); ?> <br />
                            eg:- &lt;script&gt;console.log("header script");&lt;/script&gt
                        </span>
                    </td>
                </tr>
                <tr>
                    <td>
                        <label for="thirdparty_body_section"><?php echo __('This script will be added right after the BODY section if the above settings is enabled and user has given consent.', 'evdpl-cookie-consent'); ?></label>
                        <textarea name="thirdparty_body_section" class="vvv_textbox"><?php echo apply_filters('format_to_edit', wp_kses_post(stripslashes($settings['body_scripts']))); ?></textarea>
                        <span class="ecc_form_help">
                            <?php echo __('Print scripts before the closing body tag on the front end if above cookie settings is enabled and user has given consent.', 'evdpl-cookie-consent'); ?> <br />eg:- &lt;script&gt;console.log("body script");&lt;/script&gt;
                        </span>
                    </td>
                </tr>
            </table>
            <div class="ecc-plugin-toolbar bottom">
                <div class="left">
                </div>
                <div class="right">
                    <input type="hidden" name="ecc_non-necessary_ajax_update" value="1">
                    <input type="submit" name="update_admin_settings_form" value="<?php _e('Update Settings', 'evdpl-cookie-consent'); ?>" class="button-primary" style="float:right;" onClick="return ecc_store_settings_btn_click(this.name)" />
                    <span class="spinner" style="margin-top:9px"></span>
                </div>
            </div>
        </form>
    </div>
</div>