<?php
// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}
$ecc_admin_view_path = plugin_dir_path(ECC_PLUGIN_FILENAME) . 'admin/views/';
$ecc_img_path = ECC_PLUGIN_URL . 'images/';
$plugin_name = 'wtgdprcookieconsent';
$ecc_activation_status = get_option($plugin_name . '_activation_status');

//taking pages for privacy policy URL.
$args_for_get_pages = array(
    'sort_order' => 'ASC',
    'sort_column' => 'post_title',
    'hierarchical' => 0,
    'child_of' => 0,
    'parent' => -1,
    'offset' => 0,
    'post_type' => 'page',
    'post_status' => 'publish'
);
$all_pages = get_pages($args_for_get_pages);
?>
<script type="text/javascript">
    var ecc_settings_success_message = '<?php echo __('Settings updated.', 'evdpl-cookie-consent'); ?>';
    var ecc_settings_error_message = '<?php echo __('Unable to update Settings.', 'evdpl-cookie-consent'); ?>';
    var ecc_reset_settings_success_message = '<?php echo __('Settings reset to defaults.', 'evdpl-cookie-consent'); ?>';
    var ecc_reset_settings_error_message = '<?php echo __('Unable to reset settings.', 'evdpl-cookie-consent'); ?>';
</script>
<div class="wrap">
    <h2 class="wp-heading-inline"><?php _e('Settings', 'evdpl-cookie-consent'); ?></h2>

    <div class="ecc_settings_left" id="cky-container">
        <div class="nav-tab-wrapper wp-clearfix evdpl-cookie-consent-tab-head">
            <?php
            $tab_head_arr = array(
                'evdpl-cookie-consent-general' => __('General', 'evdpl-cookie-consent'),
                'evdpl-cookie-consent-message-bar' => __('Customise Cookie Bar', 'evdpl-cookie-consent'),
                'evdpl-cookie-consent-buttons' => __('Customise Buttons', 'evdpl-cookie-consent'),
                'evdpl-cookie-consent-advanced' => __('Advanced', 'evdpl-cookie-consent'),
                'evdpl-cookie-consent-help' => __('Help Guide', 'evdpl-cookie-consent'),
            );
            Evdpl_Cookie_Consent::ecc_generate_settings_tabhead($tab_head_arr);
            ?>
        </div>
        <div id="cky-tab-container" class="evdpl-cookie-consent-tab-container">
            <?php
            $setting_views_a = array(
                'evdpl-cookie-consent-general' => 'admin-settings-general.php',
                'evdpl-cookie-consent-message-bar' => 'admin-settings-messagebar.php',
                'evdpl-cookie-consent-buttons' => 'admin-settings-buttons.php',
                'evdpl-cookie-consent-advanced' => 'admin-settings-advanced.php',
            );
            $setting_views_b = array(
                'evdpl-cookie-consent-help' => 'admin-settings-help.php',
            );
            ?>
            <form method="post" action="<?php echo esc_url($_SERVER["REQUEST_URI"]); ?>" id="ecc_settings_form">
                <input type="hidden" name="ecc_update_action" value="" id="ecc_update_action" />
                <?php
                // Set nonce:
                if (function_exists('wp_nonce_field')) {
                    wp_nonce_field('evdplcookieinfo-update-' . ECC_SETTINGS_FIELD);
                }
                foreach ($setting_views_a as $target_id => $value) {
                    $settings_view = $ecc_admin_view_path . $value;
                    if (file_exists($settings_view)) {
                        include $settings_view;
                    }
                }
                ?> 
                <?php
                //settings form fields for module
                do_action('ecc_module_settings_form');
                ?>            
            </form>
                <?php
                foreach ($setting_views_b as $target_id => $value) {
                    $settings_view = $ecc_admin_view_path . $value;
                    if (file_exists($settings_view)) {
                        include $settings_view;
                    }
                }
                ?>
            <?php do_action('ecc_module_out_settings_form'); ?>
        </div>
    </div>

</div>