<?php
// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}
?>
<div class="evdpl-cookie-consent-tab-content" data-id="<?php echo esc_attr($target_id); ?>">

    <ul class="ecc_sub_tab">
        <li style="border-left:none; padding-left: 0px;" data-target="accept-all-button"><a><?php _e('Accept All Button', 'evdpl-cookie-consent'); ?></a></li>
        <li data-target="accept-button"><a><?php _e('Accept Button', 'evdpl-cookie-consent'); ?></a></li>
        <li data-target="reject-button"><a><?php _e('Reject Button', 'evdpl-cookie-consent'); ?></a></li>
        <li data-target="settings-button"><a><?php _e('Settings Button', 'evdpl-cookie-consent'); ?></a></li>
        <li data-target="read-more-button"><a><?php _e('Read more', 'evdpl-cookie-consent'); ?></a></li>
        <li data-target="do-not-sell-button" class="wt-ecc-ccpa-element"><a><?php _e('Do not sell', 'evdpl-cookie-consent'); ?></a></li>
    </ul>

    <div class="ecc_sub_tab_container">

        <div class="ecc_sub_tab_content" data-id="accept-button" style="display:block;">
            <h3><?php _e('Accept Button', 'evdpl-cookie-consent'); ?> <code>[cookie_button]</code></h3>
            <p><?php _e('Customize the Accept button to match the theme of your site. Insert the shortcode [cookie_button] in Customise Cookie Bar > Cookie bar > Message to include accept button in cookie consent bar.', 'evdpl-cookie-consent'); ?></p>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row"><label for="button_1_text_field"><?php _e('Text', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="text" name="button_1_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_1_text'])); ?>" />
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_1_link_colour_field"><?php _e('Text colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_1_link_colour_field" id="ecc-colour-link-button-1" value="' . esc_attr($the_options['button_1_link_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_1_as_button_field"><?php _e('Show as', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" ecc_frm_tgl-target="ecc_accept_type" id="button_1_as_button_field_yes" name="button_1_as_button_field" class="styled ecc_form_toggle" value="true" <?php echo ( $the_options['button_1_as_button'] == true ) ? ' checked="checked"' : ' '; ?> /> <?php _e('Button', 'evdpl-cookie-consent'); ?>

                        <input type="radio" ecc_frm_tgl-target="ecc_accept_type" id="button_1_as_button_field_no" name="button_1_as_button_field" class="styled ecc_form_toggle" value="false" <?php echo ( $the_options['button_1_as_button'] == false ) ? ' checked="checked"' : ''; ?>  /> <?php _e('Link', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
                <tr valign="top" class="ecc-indent-15" ecc_frm_tgl-id="ecc_accept_type" ecc_frm_tgl-val="true">
                    <th scope="row"><label for="button_1_button_colour_field"><?php _e('Background colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_1_button_colour_field" id="ecc-colour-btn-button-1" value="' . esc_attr($the_options['button_1_button_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>

                <tr valign="top">
                    <th scope="row"><label for="button_1_action_field"><?php _e('Action', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <select name="button_1_action_field" id="ecc-plugin-button-1-action" class="vvv_combobox ecc_form_toggle" ecc_frm_tgl-target="ecc_accept_action">
                            <?php $this->ecc_print_combobox_options($this->ecc_get_js_actions(), $the_options['button_1_action']); ?>
                        </select>
                    </td>
                </tr>
                <tr valign="top" class="ecc-plugin-row ecc-indent-15" ecc_frm_tgl-id="ecc_accept_action" ecc_frm_tgl-val="CONSTANT_OPEN_URL">
                    <th scope="row"><label for="button_1_url_field"><?php _e('URL', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="text" name="button_1_url_field" id="button_1_url_field" value="<?php echo esc_url($the_options['button_1_url']); ?>" />
                        <span class="ecc_form_help"><?php _e('Specify the URL to redirect users on accept button click. e.g. Entering the cookie policy page URL will redirect users to the cookie policy page after giving consent.', 'evdpl-cookie-consent'); ?></span>
                    </td>
                </tr>

                <tr valign="top" class="ecc-plugin-row ecc-indent-15" ecc_frm_tgl-id="ecc_accept_action" ecc_frm_tgl-val="CONSTANT_OPEN_URL">
                    <th scope="row"><label for="button_1_new_win_field"><?php _e('Open URL in new window', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" id="button_1_new_win_field_yes" name="button_1_new_win_field" class="styled" value="true" <?php echo ( $the_options['button_1_new_win'] == true ) ? ' checked="checked"' : ''; ?> /><?php _e('Yes', 'evdpl-cookie-consent'); ?>

                        <input type="radio" id="button_1_new_win_field_no" name="button_1_new_win_field" class="styled" value="false" <?php echo ( $the_options['button_1_new_win'] == false ) ? ' checked="checked"' : ''; ?> /> <?php _e('No', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_1_button_size_field"><?php _e('Button Size', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <select name="button_1_button_size_field" class="vvv_combobox">
                            <?php $this->ecc_print_combobox_options($this->ecc_get_button_sizes(), $the_options['button_1_button_size']); ?>
                        </select>
                    </td>
                </tr>
            </table><!-- end custom button -->
        </div>
        <div class="ecc_sub_tab_content" data-id="reject-button">
            <h3><?php _e('Reject Button', 'evdpl-cookie-consent'); ?> <code>[cookie_reject]</code></h3>
            <p><?php _e('Customize the Reject button to match the theme of your site. Insert the shortcode <b>[cookie_reject]</b> in <b>Customise Cookie Bar > Cookie bar > Message</b> to include reject button in cookie consent bar.', 'evdpl-cookie-consent'); ?></p>
            <table class="form-table" >
                <tr valign="top">
                    <th scope="row"><label for="button_3_text_field"><?php _e('Text', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="text" name="button_3_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_3_text'])); ?>" />
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_3_link_colour_field"><?php _e('Text colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_3_link_colour_field" id="ecc-colour-link-button-3" value="' . esc_attr($the_options['button_3_link_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>               
                <tr valign="top">
                    <th scope="row"><label for="button_3_as_button_field"><?php _e('Show as', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" id="button_3_as_button_field_yes" name="button_3_as_button_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_reject_type" value="true" <?php echo ( $the_options['button_3_as_button'] == true ) ? ' checked="checked"' : ' '; ?>  /> <?php _e('Button', 'evdpl-cookie-consent'); ?>

                        <input type="radio" id="button_3_as_button_field_no" name="button_3_as_button_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_reject_type" value="false" <?php echo ( $the_options['button_3_as_button'] == false ) ? ' checked="checked"' : ''; ?> /><?php _e('Link', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
                <tr valign="top" ecc_frm_tgl-id="ecc_reject_type" ecc_frm_tgl-val="true">
                    <th scope="row"><label for="button_3_button_colour_field"><?php _e('Background colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_3_button_colour_field" id="ecc-colour-btn-button-3" value="' . esc_attr($the_options['button_3_button_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_3_action_field"><?php _e('Action', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <select name="button_3_action_field" id="ecc-plugin-button-3-action" class="vvv_combobox ecc_form_toggle" ecc_frm_tgl-target="ecc_reject_action">
                            <?php
                            $action_list = $this->ecc_get_js_actions();
                            $action_list['close_header']['value'] = '#cookie_action_close_header_reject';
                            $this->ecc_print_combobox_options($action_list, $the_options['button_3_action']);
                            ?>
                        </select>
                    </td>
                </tr>
                <tr valign="top" class="ecc-plugin-row" ecc_frm_tgl-id="ecc_reject_action" ecc_frm_tgl-val="CONSTANT_OPEN_URL">
                    <th scope="row"><label for="button_3_url_field"><?php _e('URL', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="text" name="button_3_url_field" id="button_3_url_field" value="<?php echo esc_url($the_options['button_3_url']); ?>" />
                        <span class="ecc_form_help"><?php _e('Specify the URL to redirect users on reject button click. e.g. Entering the cookie policy page URL will redirect users to the cookie policy page after rejecting cookies.', 'evdpl-cookie-consent'); ?></span>
                    </td>
                </tr>

                <tr valign="top" class="ecc-plugin-row" ecc_frm_tgl-id="ecc_reject_action" ecc_frm_tgl-val="CONSTANT_OPEN_URL">
                    <th scope="row"><label for="button_3_new_win_field"><?php _e('Open URL in new window', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" id="button_3_new_win_field_yes" name="button_3_new_win_field" class="styled" value="true" <?php echo ( $the_options['button_3_new_win'] == true ) ? ' checked="checked"' : ''; ?>  /><?php _e('Yes', 'evdpl-cookie-consent'); ?>
                        <input type="radio" id="button_3_new_win_field_no" name="button_3_new_win_field" class="styled" value="false" <?php echo ( $the_options['button_3_new_win'] == false ) ? ' checked="checked"' : ''; ?> /><?php _e('No', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_3_button_size_field"><?php _e('Button Size', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <select name="button_3_button_size_field" class="vvv_combobox">
                            <?php $this->ecc_print_combobox_options($this->ecc_get_button_sizes(), $the_options['button_3_button_size']); ?>
                        </select>
                    </td>
                </tr>
            </table><!-- end custom button -->
        </div>
        <div class="ecc_sub_tab_content" data-id="settings-button">
            <h3><?php _e('Settings Button', 'evdpl-cookie-consent'); ?> <code>[cookie_settings]</code></h3>
            <p><?php _e('Customize the cookie settings to match the theme of your site. Insert the shortcode <b>[cookie_settings]</b> in <b>Customise Cookie Bar > Cookie bar > Message</b> to include cookie settings within the cookie consent bar. Clicking ‘Cookie settings’ opens up a pop up window with provisions to enable/disable cookie categories.', 'evdpl-cookie-consent'); ?></p>
            <table class="form-table" >
                <tr valign="top">
                    <th scope="row"><label for="button_4_text_field"><?php _e('Text', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="text" name="button_4_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_4_text'])); ?>" />
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_4_link_colour_field"><?php _e('Text colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_4_link_colour_field" id="ecc-colour-link-button-4" value="' . esc_attr($the_options['button_4_link_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_4_as_button_field"><?php _e('Show as', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" id="button_4_as_button_field_yes" name="button_4_as_button_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_settings_type" value="true" <?php echo ( $the_options['button_4_as_button'] == true ) ? ' checked="checked"' : ' '; ?> /><?php _e('Button', 'evdpl-cookie-consent'); ?>

                        <input type="radio" id="button_4_as_button_field_no" name="button_4_as_button_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_settings_type" value="false" <?php echo ( $the_options['button_4_as_button'] == false ) ? ' checked="checked"' : ''; ?> /><?php _e('Link', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
                <tr valign="top" ecc_frm_tgl-id="ecc_settings_type" ecc_frm_tgl-val="true">
                    <th scope="row"><label for="button_4_button_colour_field"><?php _e('Background colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_4_button_colour_field" id="ecc-colour-btn-button-4" value="' . esc_attr($the_options['button_4_button_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>
            </table><!-- end custom button -->
        </div>
        <div class="ecc_sub_tab_content" data-id="read-more-button">
            <h3><?php _e('Read more', 'evdpl-cookie-consent'); ?> <code>[cookie_link]</code></h3>
            <p>
                <?php _e('‘Read more’ redirects users to the ‘Privacy & Cookie Policy’ page. Create a ‘Privacy & Cookie Policy’ page for your site from here.', 'evdpl-cookie-consent'); ?>
                <?php _e('Insert the shortcode <b>[cookie_link]</b> in <b>Customise Cookie Bar > Cookie bar > Message</b> to include ‘Read more’ within the cookie consent bar.', 'evdpl-cookie-consent'); ?>
            </p>
            <?php
            if (Evdpl_Cookie_Consent_Admin::ecc_module_exists('ecc-policy-generator')) {
                ?>
                <p><?php _e('Click', 'evdpl-cookie-consent'); ?> <a href="<?php echo esc_url(admin_url('edit.php?post_type=' . ECC_POST_TYPE . '&page=evdpl-cookie-consent-policy-generator')); ?>"><?php _e('here', 'evdpl-cookie-consent'); ?></a> <?php _e(' to generate content for Cookie Policy page.', 'evdpl-cookie-consent'); ?>
                </p>
                <?php
            }
            ?>

            <table class="form-table">
                <tr valign="top">
                    <th scope="row"><label for="button_2_text_field"><?php _e('Text', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="text" name="button_2_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_2_text'])); ?>" />
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_2_link_colour_field"><?php _e('Text colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_2_link_colour_field" id="ecc-colour-link-button-1" value="' . esc_attr($the_options['button_2_link_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_2_as_button_field"><?php _e('Show as', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" id="button_2_as_button_field_yes" name="button_2_as_button_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_readmore_type" value="true" <?php echo ( $the_options['button_2_as_button'] == true ) ? ' checked="checked"' : ''; ?>  /> <?php _e('Button', 'evdpl-cookie-consent'); ?>

                        <input type="radio" id="button_2_as_button_field_no" name="button_2_as_button_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_readmore_type" value="false" <?php echo ( $the_options['button_2_as_button'] == false ) ? ' checked="checked"' : ''; ?> /> <?php _e('Link', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
                <tr valign="top" ecc_frm_tgl-id="ecc_readmore_type" ecc_frm_tgl-val="true">
                    <th scope="row"><label for="button_2_button_colour_field"><?php _e('Background colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_2_button_colour_field" id="ecc-colour-btn-button-1" value="' . esc_attr($the_options['button_2_button_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>

                <tr valign="top">
                    <th scope="row"><label for="button_2_url_type_field"><?php _e('URL or Page?', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" id="button_2_url_type_field_url" name="button_2_url_type_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_readmore_url_type" value="url" <?php echo ( $the_options['button_2_url_type'] == 'url' ) ? ' checked="checked"' : ''; ?>  /> <?php _e('URL', 'evdpl-cookie-consent'); ?>

                        <input type="radio" id="button_2_url_type_field_page" name="button_2_url_type_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_readmore_url_type" value="page" <?php echo ( $the_options['button_2_url_type'] == 'page' ) ? ' checked="checked"' : ''; ?> /> <?php _e('Page', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>

                <tr valign="top" ecc_frm_tgl-id="ecc_readmore_url_type" ecc_frm_tgl-val="url">
                    <th scope="row"><label for="button_2_url_field"><?php _e('URL', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="text" name="button_2_url_field" id="button_2_url_field" value="<?php echo esc_url($the_options['button_2_url']); ?>" />
                    </td>
                </tr>
                <tr valign="top" ecc_frm_tgl-id="ecc_readmore_url_type" ecc_frm_tgl-val="page">
                    <th scope="row"><label for="button_2_page_field"><?php _e('Page', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <select name="button_2_page_field" class="vvv_combobox" id="button_2_page_field">
                            <option value="0">--<?php _e('Select One', 'evdpl-cookie-consent'); ?>--</option>
                            <?php
                            foreach ($all_pages as $page) {
                                ?>
                                <option value="<?php echo esc_attr($page->ID); ?>" <?php echo ( $the_options['button_2_page'] == $page->ID ? 'selected' : '' ); ?>> <?php echo esc_html($page->post_title); ?> </option>;
                                <?php
                            }
                            ?>
                        </select>
                        <?php
                        if ($the_options['button_2_page'] > 0) {
                            $privacy_policy_page = get_post($the_options['button_2_page']);
                            $privacy_page_exists = 0;
                            if ($privacy_policy_page instanceof WP_Post) {
                                if ($privacy_policy_page->post_status === 'publish') {
                                    $privacy_page_exists = 1;
                                }
                            }
                            if ($privacy_page_exists == 0) {
                                ?>
                                <span class="ecc_form_er ecc_privacy_page_not_exists_er" style="display: inline;"><?php echo _e('The currently selected page does not exist. Please select a new page.'); ?></span>
                                <?php
                            }
                        }
                        ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_2_new_win_field"><?php _e('Hide cookie bar in this page/URL', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" id="button_2_hidebar_field_yes" name="button_2_hidebar_field" class="styled" value="true" <?php echo ( $the_options['button_2_hidebar'] == true ) ? ' checked="checked"' : ''; ?> /> <?php _e('Yes', 'evdpl-cookie-consent'); ?>
                        <input type="radio" id="button_2_hidebar_field_no" name="button_2_hidebar_field" class="styled" value="false" <?php echo ( $the_options['button_2_hidebar'] == false ) ? ' checked="checked"' : ''; ?> /> <?php _e('No', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_2_new_win_field"><?php _e('Open in a new window', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" id="button_2_new_win_field_yes" name="button_2_new_win_field" class="styled" value="true" <?php echo ( $the_options['button_2_new_win'] == true ) ? ' checked="checked"' : ''; ?> /> <?php _e('Yes', 'evdpl-cookie-consent'); ?>
                        <input type="radio" id="button_2_new_win_field_no" name="button_2_new_win_field" class="styled" value="false" <?php echo ( $the_options['button_2_new_win'] == false ) ? ' checked="checked"' : ''; ?> /> <?php _e('No', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
            </table><!-- end custom button -->
        </div>
        <div class="ecc_sub_tab_content" data-id="do-not-sell-button">
            <h3><?php _e('Do not sell', 'evdpl-cookie-consent'); ?> <code>[wt_ecc_ccpa_optout]</code></h3>
            <p><?php _e('Customise the appearance of CCPA notice. Enabling ‘Show CCPA notice’ displays the notice on the consent bar and records prior consent from the user. Alternatively, insert CCPA shortcode [wt_ecc_ccpa_optout] to render CCPA notice in a specific page of your site, preferably, cookie policy page.', 'evdpl-cookie-consent'); ?></p>

            <table class="form-table">
                <tr valign="top">
                    <th scope="row"><label for="button_6_text_field"><?php _e('CCPA Text', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="text" name="button_6_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_6_text'])); ?>" />
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_6_as_link_field"><?php _e('Show as', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" ecc_frm_tgl-target="wt-ecc-ccpa-advanced" id="button_6_as_link_field_yes" name="button_6_as_link_field" class="styled ecc_form_toggle" value="true" <?php echo ( wp_validate_boolean($the_options['button_6_as_link']) == true ) ? ' checked="checked"' : ''; ?> /> <?php _e('Link', 'evdpl-cookie-consent'); ?>
                        <input type="radio" ecc_frm_tgl-target="wt-ecc-ccpa-advanced" id="button_6_as_link_field_no" name="button_6_as_link_field" class="styled ecc_form_toggle" value="false" <?php echo ( wp_validate_boolean($the_options['button_6_as_link']) == false ) ? ' checked="checked"' : ' '; ?> /> <?php _e('Checkbox', 'evdpl-cookie-consent'); ?>
                        <span class="ecc_form_help" ecc_frm_tgl-id="wt-ecc-ccpa-advanced" ecc_frm_tgl-val="true" style="margin-top:8px;"><?php _e('The shortcode will be represented as a link whereever used.', 'evdpl-cookie-consent'); ?></span>
                        <span class="ecc_form_help" ecc_frm_tgl-id="wt-ecc-ccpa-advanced" ecc_frm_tgl-val="false" style="margin-top:8px;"><?php _e('The shortcode will be represented as a checkbox with select option to record consent.', 'evdpl-cookie-consent'); ?></span>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_6_link_colour_field"><?php _e('Text colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_6_link_colour_field" id="ecc-colour-link-button-6" value="' . esc_attr($the_options['button_6_link_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>
            </table><!-- end custom button -->
        </div>
        <div class="ecc_sub_tab_content" data-id="accept-all-button" style="display:block;">
            <h3><?php _e('Accept All Button', 'evdpl-cookie-consent'); ?> <code>[cookie_accept_all]</code></h3>
            <p><?php _e('This button/link can be customised to either simply close the cookie bar, or follow a link. You can also customise the colours and styles, and show it as a link or a button.', 'evdpl-cookie-consent'); ?></p>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row"><label for="button_7_text_field"><?php _e('Text', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="text" name="button_7_text_field" value="<?php echo esc_attr(stripslashes($the_options['button_7_text'])); ?>" />
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_7_link_colour_field"><?php _e('Text colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_7_link_colour_field" id="ecc-colour-link-button-7" value="' . esc_attr($the_options['button_7_link_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_7_as_button_field"><?php _e('Show as', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" ecc_frm_tgl-target="ecc_accept_all_type" id="button_7_as_button_field_yes" name="button_7_as_button_field" class="styled ecc_form_toggle" value="true" <?php echo ( $the_options['button_7_as_button'] == true ) ? ' checked="checked"' : ' '; ?> /> <?php _e('Button', 'evdpl-cookie-consent'); ?>

                        <input type="radio" ecc_frm_tgl-target="ecc_accept_all_type" id="button_7_as_button_field_no" name="button_7_as_button_field" class="styled ecc_form_toggle" value="false" <?php echo ( $the_options['button_7_as_button'] == false ) ? ' checked="checked"' : ''; ?> /> <?php _e('Link', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
                <tr valign="top" class="ecc-indent-15" ecc_frm_tgl-id="ecc_accept_all_type" ecc_frm_tgl-val="true">
                    <th scope="row"><label for="button_7_button_colour_field"><?php _e('Background colour', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <?php
                        echo '<input type="text" name="button_7_button_colour_field" id="ecc-colour-btn-button-7" value="' . esc_attr($the_options['button_7_button_colour']) . '" class="my-color-field" />';
                        ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_7_action_field"><?php _e('Action', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <select name="button_7_action_field" id="ecc-plugin-button-7-action" class="vvv_combobox ecc_form_toggle" ecc_frm_tgl-target="ecc_accept_all_action">
                            <?php $this->ecc_print_combobox_options($this->ecc_get_js_actions(), $the_options['button_7_action']); ?>
                        </select>
                    </td>
                </tr>
                <tr valign="top" class="ecc-plugin-row ecc-indent-15" ecc_frm_tgl-id="ecc_accept_all_action" ecc_frm_tgl-val="CONSTANT_OPEN_URL">
                    <th scope="row"><label for="button_7_url_field"><?php _e('URL', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="text" name="button_7_url_field" id="button_7_url_field" value="<?php echo esc_url($the_options['button_7_url']); ?>" />
                        <span class="ecc_form_help"><?php _e('Button will only link to URL if Action = Open URL', 'evdpl-cookie-consent'); ?></span>
                    </td>
                </tr>

                <tr valign="top" class="ecc-plugin-row ecc-indent-15" ecc_frm_tgl-id="ecc_accept_all_action" ecc_frm_tgl-val="CONSTANT_OPEN_URL">
                    <th scope="row"><label for="button_7_new_win_field"><?php _e('Open URL in new window?', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <input type="radio" id="button_7_new_win_field_yes" name="button_7_new_win_field" class="styled" value="true" <?php echo ( $the_options['button_7_new_win'] == true ) ? ' checked="checked"' : ''; ?> /><?php _e('Yes', 'evdpl-cookie-consent'); ?>

                        <input type="radio" id="button_7_new_win_field_no" name="button_7_new_win_field" class="styled" value="false" <?php echo ( $the_options['button_7_new_win'] == false ) ? ' checked="checked"' : ''; ?> /> <?php _e('No', 'evdpl-cookie-consent'); ?>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><label for="button_7_button_size_field"><?php _e('Size', 'evdpl-cookie-consent'); ?></label></th>
                    <td>
                        <select name="button_7_button_size_field" class="vvv_combobox">
                            <?php $this->ecc_print_combobox_options($this->ecc_get_button_sizes(), $the_options['button_7_button_size']); ?>
                        </select>
                    </td>
                </tr>
            </table><!-- end custom button -->
        </div>

    </div>
    <?php
    require 'admin-settings-save-button.php';
    ?>
</div>
