<?php
// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}
?>
<div class="evdpl-cookie-consent-tab-content" data-id="<?php echo esc_attr($target_id); ?>">
    <ul class="ecc_sub_tab">
        <li style="border-left:none; padding-left: 0px;" data-target="cookie-message"><a><?php _e('Cookie bar', 'evdpl-cookie-consent'); ?></a></li>
        <li data-target="show-again-tab"><a><?php _e('Revisit consent', 'evdpl-cookie-consent'); ?></a></li>
    </ul>
    <div class="ecc_sub_tab_container">
        <div class="ecc_sub_tab_content" data-id="cookie-message" style="display:block;">
            <div class="wt-ecc-section wt-ecc-section-general-settings">
                <table class="form-table">
                    <tr valign="top">
                        <th scope="row"><label for="bar_heading_text_field"><?php _e('Message Heading', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <input type="text" name="bar_heading_text_field" value="<?php echo esc_attr(stripslashes($the_options['bar_heading_text'])); ?>" />
                            <span class="ecc_form_help"><?php _e('Input text to have a heading for the cookie consent bar. Leave it blank if you do not need one.', 'evdpl-cookie-consent'); ?>
                            </span>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row"><label for="notify_message_field"><?php _e('Message', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <?php
                            echo '<textarea name="notify_message_field" class="vvv_textbox">';
                            echo apply_filters('format_to_edit', wp_kses_post(stripslashes($the_options['notify_message']))) . '</textarea>';
                            ?>
                            <span class="ecc_form_help"><?php _e('Modify/edit the content of the cookie consent bar.', 'evdpl-cookie-consent'); ?> <br /><em><?php _e('Supports shortcodes.(link shortcodes to help link) e.g. [cookie_accept_all] for accept all button, [cookie_button] for accept button, [cookie_reject] for reject button, [cookie_link] for Read more, [cookie_settings] for cookie settings.', 'evdpl-cookie-consent'); ?></em></span>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row"><label for="background_field"><?php _e('Cookie Bar Colour', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <?php
                            echo '<input type="text" name="background_field" id="ecc-colour-background" value="' . esc_attr($the_options['background']) . '" class="my-color-field" data-default-color="#fff" />';
                            ?>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row"><label for="text_field"><?php _e('Text Colour', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <?php
                            echo '<input type="text" name="text_field" id="ecc-colour-text" value="' . esc_attr($the_options['text']) . '" class="my-color-field" data-default-color="#000" />';
                            ?>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row"><label for="font_family_field"><?php _e('Font', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <select name="font_family_field" class="vvv_combobox">
                                <?php $this->ecc_print_combobox_options($this->ecc_get_fonts(), $the_options['font_family']) ?>
                            </select>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row"><label for="cookie_bar_as_field"><?php _e('Show cookie bar as', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <?php
                            $cookie_bar_as = $the_options['cookie_bar_as'];
                            ?>
                            <input type="radio" id="cookie_bar_as_field_banner" name="cookie_bar_as_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_bar_type" value="banner" <?php checked($cookie_bar_as, 'banner'); ?> /> <?php _e('Banner', 'evdpl-cookie-consent'); ?>
                            <input type="radio" id="cookie_bar_as_field_popup" name="cookie_bar_as_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_bar_type" value="popup" <?php checked($cookie_bar_as, 'popup'); ?> /> <?php _e('Popup', 'evdpl-cookie-consent'); ?>
                            <input type="radio" id="cookie_bar_as_field_widget" name="cookie_bar_as_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_bar_type" value="widget" <?php checked($cookie_bar_as, 'widget'); ?> /> <?php _e('Widget', 'evdpl-cookie-consent'); ?>
                        </td>
                    </tr>
                    <tr valign="top" ecc_frm_tgl-id="ecc_bar_type" ecc_frm_tgl-val="widget">
                        <th scope="row"><label for="widget_position_field"><?php _e('Position', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <?php $widget_position = $the_options['widget_position']; ?>
                            <select name="widget_position_field" id="widget_position_field" class="vvv_combobox">
                                <option value="left" <?php echo $widget_position == 'left' ? 'selected' : ''; ?>><?php echo __('Left', 'evdpl-cookie-consent'); ?></option>
                                <option value="right" <?php echo $widget_position == 'right' ? 'selected' : ''; ?>><?php echo __('Right', 'evdpl-cookie-consent'); ?></option>
                            </select>
                        </td>
                    </tr>
                    <tr valign="top" ecc_frm_tgl-id="ecc_bar_type" ecc_frm_tgl-val="popup">
                        <th scope="row"><label for="popup_overlay_field"><?php _e('Add overlay?', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <input type="radio" id="popup_overlay_field_yes" name="popup_overlay_field" class="styled" value="true" <?php echo ($the_options['popup_overlay'] == true) ? ' checked="checked"' : ''; ?> /> <?php _e('Yes', 'evdpl-cookie-consent'); ?>
                            <input type="radio" id="popup_overlay_field_no" name="popup_overlay_field" class="styled" value="false" <?php echo ($the_options['popup_overlay'] == false) ? ' checked="checked"' : ''; ?> /> <?php _e('No', 'evdpl-cookie-consent'); ?>
                            <span class="ecc_form_help"><?php _e('When the popup is active, an overlay will block the user from browsing the site.', 'evdpl-cookie-consent'); ?></span>
                            <span class="ecc_form_er ecc_scroll_accept_er"><?php _e('`Accept on scroll` will not work along with this option.', 'evdpl-cookie-consent'); ?></span>
                        </td>
                    </tr>
                    <tr valign="top" ecc_frm_tgl-id="ecc_bar_type" ecc_frm_tgl-val="banner" ecc_frm_tgl-lvl="1">
                        <th scope="row"><label for="notify_position_vertical_field"><?php _e('Position:', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <?php
                            $notify_positon = (isset($the_options['notify_position_vertical']) ? $the_options['notify_position_vertical'] : 'bottom');
                            ?>
                            <input type="radio" id="notify_position_vertical_field_top" name="notify_position_vertical_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_bar_pos" value="top" <?php checked($notify_positon, 'top'); ?> /> <?php _e('Header', 'evdpl-cookie-consent'); ?>
                            <input type="radio" id="notify_position_vertical_field_bottom" name="notify_position_vertical_field" class="styled ecc_form_toggle" ecc_frm_tgl-target="ecc_bar_pos" value="bottom" <?php checked($notify_positon, 'bottom'); ?> /> <?php _e('Footer', 'evdpl-cookie-consent'); ?>
                        </td>
                    </tr>
                    <!-- header_fix code here -->
                    <tr valign="top" ecc_frm_tgl-id="ecc_bar_type" ecc_frm_tgl-val="banner" ecc_frm_tgl-lvl="1">
                        <td colspan="2" style="padding: 0px;">
                            <table>
                                <tr valign="top" ecc_frm_tgl-id="ecc_bar_pos" ecc_frm_tgl-val="top" ecc_frm_tgl-lvl="2">
                                    <th></th>
                                    <td>
                                        <div style="margin-top:-15px; margin-bottom:15px;">
                                            <input type="radio" id="header_fix_field_yes" name="header_fix_field" class="styled" value="true" <?php echo ($the_options['header_fix'] == true) ? ' checked="checked"' : ''; ?> /> <?php _e('Fix bar on header', 'evdpl-cookie-consent'); ?>
                                        </div>
                                        <div>
                                            <input type="radio" id="iheader_fix_field_no" name="header_fix_field" class="styled" value="false" <?php echo ($the_options['header_fix'] == false) ? ' checked="checked"' : ''; ?> /> <?php _e('Move with the scroll', 'evdpl-cookie-consent'); ?>
                                        </div>
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>

                    <tr valign="top">
                        <th scope="row"><label for="notify_animate_show_field"><?php _e('On load', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <?php
                            $notify_animate_show = (isset($the_options['notify_animate_show']) ? $the_options['notify_animate_show'] : false);
                            ?>
                            <input type="radio" id="notify_animate_show_field_animate" name="notify_animate_show_field" class="styled" value="true" <?php checked($notify_animate_show, true); ?> /> <?php _e('Animate', 'evdpl-cookie-consent'); ?>
                            <input type="radio" id="notify_animate_show_field_sticky" name="notify_animate_show_field" class="styled" value="false" <?php checked($notify_animate_show, false); ?> /> <?php _e('Sticky', 'evdpl-cookie-consent'); ?>
                        </td>
                    </tr>
                    <tr valign="top">
                        <th scope="row"><label for="notify_animate_hide_field"><?php _e('On hide', 'evdpl-cookie-consent'); ?></label></th>
                        <td>
                            <?php
                            $notify_animate_hide = (isset($the_options['notify_animate_hide']) ? $the_options['notify_animate_hide'] : true);
                            ?>
                            <input type="radio" id="notify_animate_hide_field_animate" name="notify_animate_hide_field" class="styled" value="true" <?php checked($notify_animate_hide, true); ?> /> <?php _e('Animate', 'evdpl-cookie-consent'); ?>
                            <input type="radio" id="notify_animate_hide_field_sticky" name="notify_animate_hide_field" class="styled" value="false" <?php checked($notify_animate_hide, false); ?> /> <?php _e('Sticky', 'evdpl-cookie-consent'); ?>
                        </td>
                    </tr>
                </table>
            </div>
        </div>
        <div class="ecc_sub_tab_content" data-id="show-again-tab">
            <div class="wt-ecc-section wt-ecc-section-floating-widget-settings">
                <div class="ecc_sub_tab_content" data-id="show-again-tab">
                    <div class="wt-ecc-notice wt-ecc-info">
                        <?php echo __('Revisit consent will allow the visitors to view/edit/revoke their prior preferences. Enable to display a sticky/fixed widget widget at the footer of your website. You can also manually insert a widget by adding the shortcode <b>[wt_ecc_manage_consent]</b> to your website.', 'evdpl-cookie-consent'); ?>
                    </div>
                    <div class="wt-ecc-revisit-consent-widget">
                        <table class="form-table">
                            <tr valign="top">
                                <th scope="row"><label for="showagain_tab_field"><?php _e('Enable revisit consent widget', 'evdpl-cookie-consent'); ?><span class="wt-ecc-tootip" data-wt-ecc-tooltip="<?php _e('Enable to display a sticky/fixed widget at the footer of your website (remains fixed on page scroll).', 'evdpl-cookie-consent'); ?>"><span class="wt-ecc-tootip-icon"></span></span></label></th>
                                <td>
                                    <input type="hidden" name="showagain_tab_field" value="false" id="showagain_tab_field_no">
                                    <input name="showagain_tab_field" type="checkbox" value="true" id="showagain_tab_field_yes" class="wt-ecc-input-toggle-checkbox" data-ecc-toggle-target="wt-ecc-revisit-consent-widget" <?php checked($the_options['showagain_tab'], true); ?>>
                                </td>
                            </tr>
                        </table>
                    </div>
                    <div class="wt-ecc-input-toggle-section" data-ecc-toggle-id="wt-ecc-revisit-consent-widget">
                        <table class="form-table">
                            <tr valign="top" ecc_frm_tgl-id="ecc_bar_type" ecc_frm_tgl-val="banner" ecc_frm_tgl-lvl="0">
                                <th scope="row"><label for="notify_position_horizontal_field"><?php _e('Widget position', 'evdpl-cookie-consent'); ?></label></th>
                                <td>
                                    <input type="radio" id="notify_position_horizontal_field_right" name="notify_position_horizontal_field" class="styled" value="right" <?php checked($the_options['notify_position_horizontal'], 'right'); ?> /> <?php _e('Right', 'evdpl-cookie-consent'); ?>
                                    <input type="radio" id="notify_position_horizontal_field_left" name="notify_position_horizontal_field" class="styled"  value="left" <?php checked($the_options['notify_position_horizontal'], 'left'); ?> /> <?php _e('Left', 'evdpl-cookie-consent'); ?>
                                </td>
                            </tr>

                            <tr valign="top" ecc_frm_tgl-id="ecc_bar_type" ecc_frm_tgl-val="popup" ecc_frm_tgl-lvl="0">
                                <th scope="row"><label for="popup_showagain_position_field"><?php _e('Tab Position', 'evdpl-cookie-consent'); ?></label></th>
                                <td>
                                    <select name="popup_showagain_position_field" class="vvv_combobox" style="max-width:100%;">
                                        <?php
                                        $pp_sa_pos = $the_options['popup_showagain_position'];
                                        ?>
                                        <option value="bottom-right" <?php echo $pp_sa_pos == 'bottom-right' ? 'selected' : ''; ?>>
                                            <?php _e('Bottom Right', 'evdpl-cookie-consent') ?>
                                        </option>
                                        <option value="bottom-left" <?php echo $pp_sa_pos == 'bottom-left' ? 'selected' : ''; ?>>
                                            <?php _e('Bottom Left', 'evdpl-cookie-consent') ?>
                                        </option>
                                        <option value="top-right" <?php echo $pp_sa_pos == 'top-right' ? 'selected' : ''; ?>>
                                            <?php _e('Top Right', 'evdpl-cookie-consent') ?>
                                        </option>
                                        <option value="top-left" <?php echo $pp_sa_pos == 'top-left' ? 'selected' : ''; ?>>
                                            <?php _e('Top Left', 'evdpl-cookie-consent') ?>
                                        </option>
                                    </select>
                                </td>
                            </tr>

                            <tr valign="top">
                                <th scope="row"><label id="wt-ecc-revisit-consent-margin-label" for="showagain_x_position_field" data-ecc-right-text="<?php _e('From Right Margin', 'evdpl-cookie-consent'); ?>" data-ecc-left-text="<?php _e('From Left Margin', 'evdpl-cookie-consent'); ?>"><?php _e('From Left Margin', 'evdpl-cookie-consent'); ?></label></th>
                                <td>
                                    <input type="text" name="showagain_x_position_field" value="<?php echo esc_attr($the_options['showagain_x_position']) ?>" />
                                    <span class="ecc_form_help"><?php _e('Specify the widget distance from margin in ‘px’ or  ‘%’ . e.g. 100px or 30%', 'evdpl-cookie-consent'); ?></span>
                                </td>
                            </tr>

                        </table>

                    </div>
                    <table class="form-table" style="margin-top: 0;">
                        <tr valign="top">
                            <th scope="row"><label for="showagain_text"><?php _e('Text on the widget', 'evdpl-cookie-consent'); ?></label></th>
                            <td>
                                <input type="text" name="showagain_text_field" value="<?php echo esc_attr($the_options['showagain_text']) ?>" />
                                <span class="ecc_form_help"><?php _e('Input a text to appear on the revisit consent widget.', 'evdpl-cookie-consent'); ?></span>
                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
    </div>
    <?php
    include "admin-settings-save-button.php";
    ?>
</div>