<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://evdplcookieinfo.com/
 * @since      1.0
 *
 * @package    Evdpl_Cookie_Consent
 * @subpackage Evdpl_Cookie_Consent/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0
 * @package    Evdpl_Cookie_Consent
 * @subpackage Evdpl_Cookie_Consent/includes
 * @author     Evincedev
 */
class Evdpl_Cookie_Consent_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0
	 */
	public function load_plugin_textdomain() {
		load_plugin_textdomain(
			'evdpl-cookie-consent',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
