(function ($) {
    'use strict';

    var ECCScriptBlocker = {
        set: function () {
            this.changeStatusEvent();
            this.changeCategory();
            this.disableEvents();
        },
        changeStatusEvent: function() {
            jQuery('.wt-ecc-plugin-status').on('change', function (e) {
                e.preventDefault();
                ECCScriptBlocker.changeStatus( jQuery(this) );
            });
        },
        disableEvents: function(){
            jQuery('.wt-ecc-script-blocker-disabled').children().click(function(){return false;});
            jQuery('.wt-ecc-plugin-inactive').children().click(function(){return false;});
        },
        changeStatus: function( element ) {
            
            var script_id = element.attr('data-script-id');
            var status = element.is(':checked');

            var data = {
                'action'		            :   'wt_ecc_change_plugin_status',
                '_wpnonce'                  :  	wt_ecc_script_blocker_obj.nonce,
                'script_id'                 :   script_id,
                'status'                    :   status
            };
            jQuery.ajax({
                url: wt_ecc_script_blocker_obj.ajax_url,
                type: 'POST',
                data: data,
                dataType: 'json',
                success: function (response) {
                    if (response.success === true) {
                        ecc_notify_msg.success(wt_ecc_script_blocker_obj.messages.success);
                    }   
                },
                error: function () {
                    ecc_notify_msg.error(wt_ecc_script_blocker_obj.messages.success);
                }
            });
        },
        changeCategory: function () {
            jQuery('[name="eccscript_category"]').on('change', function (e) {

                e.preventDefault();
                var element = jQuery(this);
                var script_id = element.closest('tr').attr('data-script-id');
                var category = this.value;
                console.log( category);
                var data = {
                    'action': 'ecc_change_script_category',
                    '_wpnonce': wt_ecc_script_blocker_obj.nonce,
                    'script_id': script_id,
                    'category': category
                };
                jQuery.ajax({
                    url: wt_ecc_script_blocker_obj.ajax_url,
                    type: 'POST',
                    data: data,
                    dataType: 'json',
                    success: function (response) {
                        if (response.success === true) {
                            ecc_notify_msg.success(wt_ecc_script_blocker_obj.messages.success);
                        }
                        else {
                            ecc_notify_msg.error(response.data);
                        }
                    },
                    error: function () {
                        ecc_notify_msg.error(wt_ecc_script_blocker_obj.messages.error);
                    }
                });
            });

        }
    }
    jQuery(document).ready(function () {
        ECCScriptBlocker.set();
    });

})(jQuery);
