<?php
if (!defined('ABSPATH')) {
    exit;
}

$ecc_icon = ($script_blocker_status === true  ? '<span class="dashicons dashicons-yes ecc-enabled ">' : '<span class="dashicons dashicons-no-alt ecc-disabled"></span>');
$action_text = ($script_blocker_status === true  ? __('Disable', 'evdpl-cookie-consent') : __('Enable', 'evdpl-cookie-consent'));
$action_value = ($script_blocker_status === true  ? 'disabled' : 'enabled');
$script_blocker_text = ($script_blocker_status === true  ? __('Script blocker is enabled.', 'evdpl-cookie-consent') : __('Script blocker is currently disabled. Enable the blocker if you want any of the below listed plugins to be auto blocked.', 'evdpl-cookie-consent'));
$ecc_notice_text = sprintf(__('<a href="javascript: submitform()">%s</a>', 'evdpl-cookie-consent'), $action_text);
$js_blocking_status = ($js_blocking === false || $js_blocking === 'no') ? false : true;
$script_blocker_class = ($js_blocking_status === false || $script_blocker_status === false) ? 'wt-ecc-script-blocker-disabled' : '';
$advanced_settings_url = get_admin_url(null, 'edit.php?post_type=' . ECC_POST_TYPE . '&page=evdpl-cookie-consent#evdpl-cookie-consent-advanced');
$js_blocking_notice = sprintf(wp_kses(__('Advanced script rendering is currently disabled. It should be enabled for the automatic script blocker to function. <a href="%s">Enable.</a>', 'evdpl-cookie-consent'), array('a' => array('href' => array()))),  esc_url($advanced_settings_url));
$count = 0;
?>
<style>
    table.ecc_script_items td,
    table.ecc_script_items th {
        display: table-cell !important;
        padding: 1em !important;
        vertical-align: top;
        line-height: 1.75em;
    }

    .ecc-switch {
        display: inline-block;
        position: relative;
        min-height: 20px;
        padding-left: 38px;
        font-size: 14px;

    }

    .ecc-switch input[type="checkbox"] {
        display: none;
    }

    .ecc-switch .ecc-slider {
        background-color: #e3e1e8;
        height: 20px;
        width: 38px;
        bottom: 0;
        cursor: pointer;
        left: 0;
        position: absolute;
        right: 0;
        top: 0;
        transition: .4s;
    }

    .ecc-switch .ecc-slider:before {
        background-color: #fff;
        bottom: 2px;
        content: "";
        height: 15px;
        left: 3px;
        position: absolute;
        transition: .4s;
        width: 15px;
    }

    .ecc-switch input:checked+.ecc-slider {
        background-color: #28a745;
    }

    .ecc-switch input:checked+.ecc-slider:before {
        transform: translateX(18px);
    }

    .ecc-switch .ecc-slider {
        border-radius: 34px;
        font-size: 0;
    }

    .ecc-switch .ecc-slider:before {
        border-radius: 50%;
    }

    .dashicons.ecc-enabled {
        color: #46b450;
    }

    .dashicons.ecc-disabled {
        color: #dc3232;
    }

    .wt-ecc-script-blocker-disabled,
    .wt-ecc-plugin-inactive .ecc-switch {
        opacity: 0.5;
    }

    .ecc_script_items [data-wt-ecc-tooltip]:before {
        min-width: 220px;
    }

    .wt-ecc-notice.wt-ecc-info {
        padding: 15px 15px 15px 41px;
        background: #e5f5fa;
        position: relative;
        border-left: 4px solid;
        border-color: #00a0d2;
        margin-bottom: 15px;
    }

    .wt-ecc-notice.wt-ecc-info:before {
        content: "\f348";
        color: #00a0d2;
        font-family: "dashicons";
        position: absolute;
        left: 15px;
        font-size: 16px;
    }
</style>
<div class="wrap eccscript-container">
    <h3><?php _e('Manage Script Blocking', 'evdpl-cookie-consent'); ?></h3>
    <?php if ($js_blocking_status === false) : ?>
        <div class="notice-warning notice">
            <p><label><span class="dashicons dashicons-no-alt ecc-disabled"></span></label>
                <?php echo esc_attr($js_blocking_notice); ?>
        </div>
    <?php endif; ?>
    <div class="notice-info notice">
        <p><label><?php echo esc_attr($ecc_icon); ?></label>
            <?php echo esc_html( $script_blocker_text ); ?> <?php echo esc_attr($ecc_notice_text); ?></p>
    </div>
    <form method="post" name="script_blocker_form">
        <?php
        if (function_exists('wp_nonce_field')) {
            wp_nonce_field($this->module_id);
        }
        ?>
        <input type="hidden" id="ecc_script_blocker_state" name="ecc_script_blocker_state" class="styled" value="<?php echo esc_attr( $action_value ); ?>" />
        <input type="hidden" id="ecc_update_script_blocker" name="ecc_update_script_blocker" />
    </form>
    <div class="wt-ecc-notice wt-ecc-info">
        <?php echo sprintf(wp_kses(__('Below is the list of plugins currently supported for auto blocking. Plugins marked inactive are either not installed or activated on your website. Enabled plugins will be blocked by default on the front-end of your website prior to obtaining user consent and rendered respectively based on consent.', 'evdpl-cookie-consent'), array('a' => array('href' => array(), 'target' => array()))), esc_url('')); ?>
    </div>
    <table class="ecc_script_items widefat <?php echo esc_attr( $script_blocker_class ); ?>" cellspacing="0">
        <thead>
            <tr>
                <th><?php echo __('No', 'evdpl-cookie-consent'); ?></th>
                <th><?php echo __('Name', 'evdpl-cookie-consent'); ?></th>
                <th><?php echo __('Enabled', 'evdpl-cookie-consent'); ?><span class="wt-ecc-tootip" data-wt-ecc-tooltip="<?php _e('Enabled: Plugins will be blocked by default prior to obtaining user consent.', 'evdpl-cookie-consent'); ?> <?php _e('Disabled: Plugins will be rendered prior to obtaining consent.', 'evdpl-cookie-consent'); ?>"><span class="wt-ecc-tootip-icon"></span></span></th>
                <?php if( Evdpl_Cookies_Consent::ecc_get_instance()->ecc_check_if_old_category_table() === false ):  ?>
                    <th><?php echo __('Category', 'evdpl-cookie-consent'); ?></th>
                <?php endif; ?>
                <th><?php echo __('Description', 'evdpl-cookie-consent'); ?></th>
            </tr>
        </thead>
        <tbody>

            <?php
            $disabled_plugins = array();
            $enabled_plugins  = array();
            foreach ($wt_ecc_integration_list as $plugin => $data) {

                $plugin_data = (isset($script_data[$plugin]) ? $script_data[$plugin] : '');
                if (!empty($plugin_data)) {
                    if (defined($data['identifier']) || function_exists($data['identifier']) || class_exists($data['identifier'])) {
                        $plugin_data['active'] = true;
                        $enabled_plugins[$plugin] = $plugin_data;
                    } else {
                        $plugin_data['active'] = false;
                        $disabled_plugins[$plugin] = $plugin_data;
                    }
                }
            }
            $plugin_list = $enabled_plugins + $disabled_plugins;
            if (!empty($plugin_list)) :
                foreach ($plugin_list as $plugin => $plugin_data) :
 
                    $count++;
                    $script_id              =   isset($plugin_data['id']) ? $plugin_data['id'] : '';
                    $title                  =   isset($plugin_data['title']) ? $plugin_data['title'] : '';
                    $description            =   isset($plugin_data['description']) ? $plugin_data['description'] : '';
                    $status                 =   isset($plugin_data['status']) ? wp_validate_boolean($plugin_data['status'])  : false;
                    $plugin_status          =   isset($plugin_data['active']) ? wp_validate_boolean($plugin_data['active'])  : false;
                    $category               =   __('Non-necessary', 'evdpl-cookie-consent');
                    $plugins_status_text    =   ($plugin_status === false ? __('Inactive', 'evdpl-cookie-consent') : '');
                    $plugins_status_class   =   ($plugin_status === false ? 'wt-ecc-plugin-inactive' : 'wt-ecc-plugin-active');
            ?>
                    <tr class="<?php echo esc_attr( $plugins_status_class ); ?>" data-script-id="<?php echo esc_attr($script_id) ?>">
                        <td><?php echo esc_html( $count ); ?></td>
                        <td><?php echo esc_html( $title ); ?>
                            <?php if (!empty($plugins_status_text)) : ?>
                                <span style="color:#dc3232; margin-left:3px;">( <?php echo esc_html( $plugins_status_text ); ?> )</span>
                            <?php endif; ?>
                        </td>
                        <td>
                            <div class="ecc-switch">
                                <input type="checkbox" id="wt-ecc-checkbox-<?php echo esc_attr($plugin); ?>" data-script-id="<?php echo esc_attr($script_id) ?>" class="wt-ecc-plugin-status" <?php checked(wp_validate_boolean($status), true)  ?> />
                                <label for="wt-ecc-checkbox-<?php echo esc_attr($plugin); ?>" class="ecc-slider"></label>
                            </div>
                        </td>
                        <?php if( Evdpl_Cookies_Consent::ecc_get_instance()->ecc_check_if_old_category_table() === false ):  ?>
                        
                        <td> 
                            <select name="eccscript_category" id="eccscript_category">
                                <option value="0">--Select Category--</option>
                                <?php foreach ($terms as $key => $term) : ?>
                                    <option value="<?php echo esc_attr( $key ); ?>" <?php echo selected($plugin_data['category'], $key, false) ?>><?php echo esc_html( $term['title'] ); ?></option>
                                <?php endforeach; ?>
                            </select>
                        </td>
                        <?php endif; ?>
                        <td><?php echo esc_html( $description ); ?></td>
                    </tr>
            <?php endforeach;
            endif; ?>
        </tbody>
    </table>
</div>
<script>
    function submitform() {
        document.script_blocker_form.submit();
    }
</script>
<?php // Silence is golden