<?php
ob_start();
$overview                 = get_option( 'evdplcookieinfo_privacy_overview_content_settings' );
$default_privacy_settings = Evdpl_Cookie_Consent_Admin::ecc_get_privacy_defaults();

$ecc_always_enable_text   = __( 'Always Enabled', 'evdpl-cookie-consent' );
$ecc_enable_text          = __( 'Enabled', 'evdpl-cookie-consent' );
$ecc_disable_text         = __( 'Disabled', 'evdpl-cookie-consent' );
$ecc_privacy_readmore     = '<a class="ecc-privacy-readmore"  aria-label="' . __('Show more', 'evdpl-cookie-consent') . '" tabindex="0" role="button" data-readmore-text="' . __( 'Show more', 'evdpl-cookie-consent' ) . '" data-readless-text="' . __( 'Show less', 'evdpl-cookie-consent' ) . '"></a>';
$overview_title           = sanitize_text_field( stripslashes( isset( $overview['privacy_overview_title'] ) ? $overview['privacy_overview_title'] : $default_privacy_settings['privacy_overview_title'] ) );
$privacy_overview_content = wp_kses_post( isset( $overview['privacy_overview_content'] ) ? $overview['privacy_overview_content'] : $default_privacy_settings['privacy_overview_content'] );
$privacy_overview_content = nl2br( $privacy_overview_content );
$privacy_overview_content = do_shortcode( stripslashes( $privacy_overview_content ) );
$content_length           = strlen( strip_tags( $privacy_overview_content ) );
$overview_title           = trim( $overview_title );


$cookie_categories = apply_filters( 'wt_ecc_cookie_categories', array() );

$js_blocking_enabled = Evdpl_Cookie_Consent::wt_ecc_is_js_blocking_active();

?>
<div class="ecc-container-fluid ecc-tab-container">
	<div class="ecc-row">
		<div class="ecc-col-12 ecc-align-items-stretch ecc-px-0">
			<div class="ecc-privacy-overview">
				<?php
				if ( isset( $overview_title ) === true && $overview_title !== '' ) {
					if ( has_filter( 'wt_ecc_change_privacy_overview_title_tag' ) ) {
						echo apply_filters( 'wt_ecc_change_privacy_overview_title_tag', esc_attr( $overview_title ), '<h4>', '</h4>' );
					} else {
						echo '<h4>' . esc_attr( $overview_title ) . '</h4>';
					}
				}
				?>
				<div class="ecc-privacy-content">
					<div class="ecc-privacy-content-text"><?php echo wp_kses_post($privacy_overview_content); ?></div>
				</div>
				<?php echo wp_kses_post($ecc_privacy_readmore); ?>
			</div>
		</div>
		<div class="ecc-col-12 ecc-align-items-stretch ecc-px-0 ecc-tab-section-container">
			<?php
			foreach ( $cookie_categories as $key => $value ) {

				$category_enabled       = isset( $value['status'] ) ? $value['status'] : false;
				$cookie_title           = ( isset( $value['title'] ) ? $value['title'] : '' );
				$category_description   = ( isset( $value['description'] ) ? $value['description'] : '' );
				$category_default_state = ( isset( $value['default_state'] ) ? $value['default_state'] : false );
				$cookie_title           = isset( $cookie_filter_categories[ $key ] ) ? $cookie_filter_categories[ $key ] : $cookie_title;

				if ( $key === 'necessary' ) {
					$ecc_switch = '<div class="wt-ecc-necessary-checkbox">
                        <input type="checkbox" class="ecc-user-preference-checkbox"  id="wt-ecc-checkbox-' . esc_attr($key) . '" data-id="checkbox-' . esc_attr($key) . '" checked="checked"  />
                        <label class="form-check-label" for="wt-ecc-checkbox-' . esc_attr($key) . '">' . esc_attr($cookie_title) . '</label>
                    </div>
                    <span class="ecc-necessary-caption">' . esc_attr($ecc_always_enable_text) . '</span> ';
				} else {
					$checked = false;
					if ( $js_blocking_enabled === true ) {
						if ( isset( $category_default_state ) && $category_default_state === true ) {
							$checked = true;
						}
					} else {
						if ( isset( $_COOKIE[ "evdplcookieinfo-checkbox-$key" ] ) && $_COOKIE[ "evdplcookieinfo-checkbox-$key" ] == 'yes' ) {
							$checked = true;
						} elseif ( ! isset( $_COOKIE[ "evdplcookieinfo-checkbox-$key" ] ) ) {

							$checked = true;
							if ( $category_default_state === false ) {
								$checked = false;
							}
						}
					}
					$ecc_switch =
						'<div class="ecc-switch">
                        <input type="checkbox" id="wt-ecc-checkbox-' . esc_attr($key) . '" class="ecc-user-preference-checkbox"  data-id="checkbox-' . esc_attr($key) . '" ' . checked( $checked, true, false ) . ' />
                        <label for="wt-ecc-checkbox-' . esc_attr($key) . '" class="ecc-slider" data-ecc-enable="' . esc_attr($ecc_enable_text) . '" data-ecc-disable="' . esc_attr($ecc_disable_text) . '"><span class="wt-ecc-sr-only">' . esc_attr($cookie_title) . '</span></label>
                    </div>';
				}
				?>
				<?php if ( $category_enabled === true ) : ?>
					<div class="ecc-tab-section">
						<div class="ecc-tab-header">
							<a role="button" tabindex="0" class="ecc-nav-link ecc-settings-mobile" data-target="<?php echo esc_attr( $key ); ?>" data-toggle="ecc-toggle-tab">
								<?php echo wp_kses_post($cookie_title); ?>
							</a>
							<?php echo wp_kses_post($ecc_switch); ?>
						</div>
						<div class="ecc-tab-content">
							<div class="ecc-tab-pane ecc-fade" data-id="<?php echo wp_kses_post( $key ); ?>">
								<div class="wt-ecc-cookie-description">
									<?php echo do_shortcode( wp_kses_post($category_description), 'evdplcookieinfo-category' ); ?>
								</div>
							</div>
						</div>
					</div>
				<?php endif; ?>
				<?php
			}
			?>
		</div>
	</div>
</div>
<?php
$pop_out = ob_get_contents();
ob_end_clean();
