<?php
/**
 * Third party plugin compatibility.
 *
 * @link       http://evdplcookieinfo.com/
 * @since      1.0
 *
 * @package    Evdpl_Cookie_Consent
 * @subpackage Evdpl_Cookie_Consent/third-party
 */

/**
 * Third party plugin compatibility.
 *
 *
 * @package    Evdpl_Cookie_Consent
 * @subpackage Evdpl_Cookie_Consent/third-party
 * @author     Evincedev
 */
class Evdpl_Cookie_Consent_Third_Party {

	/*
	 * scripts list, Script folder and main file must be same as that of script name
	 * Please check the `ecc_register_scripts` method for more details
	 */
	private $scripts=array(
		'pixelyoursite',
	);

	public static $existing_scripts=array();

	/**
	 * Initialize the class and set its properties.
	 *
	 * @since    1.0
	 */
	public function __construct() {
		
	}

	/**
	 * Registering third party scripts 
	 *
	 */
	public function ecc_register_scripts()
	{
		foreach ($this->scripts as $script) //loop through script list and include its file
		{
			$script_file=plugin_dir_path( __FILE__ )."scripts/$script/$script.php";
			if(file_exists($script_file))
			{
				self::$existing_scripts[]=$script; //this is for module_exits checking
				require_once $script_file;
			}
		}
	}
}